#include "mbed.h"
 
DigitalOut led1(LED1);
DigitalOut led2(LED2);
 
Serial pc(USBTX, USBRX);
Serial tocos(p13, p14);     // TOCOS TWE-Lite (Serial)
char tweLiteBuffer[128];

 
void callback() {
    int i=0;
    while(tocos.readable()){
        tweLiteBuffer[i] = tocos.getc();
        i++;
    }
    led2 = !led2;
    pc.printf(tweLiteBuffer);
}
 
int main() {
    pc.baud( 115200 );
    tocos.baud( 115200 );
    tocos.attach(&callback);
    
    while (1) {
        led1 = !led1;
        wait(0.5);
    }
}